/*
 * @Description: 
 * @Date: 2021-03-09 18:19:26
 * @LastEditors: CK.Zh
 * @LastEditTime: 2021-03-10 15:07:01
 * @FilePath: \NaviKit_EC_stm32\App\Src\th_demo.c
 */
#define LOG_TAG    "TH-IWDG"

#include <th_iwdg.h>
#include "main.h"
#include "iwdg.h"


const osThreadAttr_t IWDGTask_attributes = {
  .name = "IWDGTask",
  .priority = (osPriority_t) osPriorityHigh,
  .stack_size = 256 * 4
};

void IWDGTask(void *argument){
	log_d("Start IWDG Task");
	for(;;){
		HAL_IWDG_Refresh(&hiwdg);
		log_v("IWDG Counter Refreshed");
		osDelay(1000);
	}
}

